%define upstream_name Devel-Chitin
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Programmatic interface to the Perl debugging API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Callsite)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Devel::Chitin is not a usable debugger per se. It has no mechanism for
interacting with a user such as reading command input or printing results.
Instead, clients of this API may call methods to inspect the debugged
program state. The debugger core calls methods on clients when certain
events occur, such as when the program is stopped by breakpoint or when the
program exits. Multiple clients can attach themselves to Devel::Chitin
simultaneously within the same debugged program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1025497
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 pterjan <pterjan> 0.60.0-2.mga6
+ Revision: 990374
- Update to 0.06

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 965960
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 839315
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 740774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 684308
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 664406
- update to 0.04

* Thu Jun 26 2014 jquelin <jquelin> 0.30.0-1.mga5
+ Revision: 639955
- update to 0.03

* Mon May 19 2014 sander85 <sander85> 0.20.0-1.mga5
+ Revision: 623855
- imported package perl-Devel-Chitin

